#pragma once

#include "CoreMinimal.h"
#include "WingBasics.h"
#include "WingServer.h"
#include "WingManual.h"
#include "Documentation_Command.generated.h"

UCLASS()
class UWing_Documentation_Command : public UWingHandler
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, meta=(Description="Substring filter for command names"))
	FString Command;

	virtual void Register() override
	{
		UWingServer::AddHandler(this,
			TEXT("Detailed documentation for one or more commands."));
	}
	virtual void Handle() override
	{
		WingManual::Commands(EWingHandlerKind::Normal, Command, true);
	}
};
